#
# spec file for package comedilib
#
%define major 0
%define libname %mklibname comedilib %major
%define devname %mklibname comedilib -d

%define gitversion      HEAD-9683559
Name:           comedilib
Version:        140410
Release:        %mkrel 1
Summary:        Data Acquisition library for the Comedi DAQ driver
License:        LGPL-2.1
Group:          System/Libraries
Url:            http://www.comedi.org/
Source:         comedilib-%{gitversion}.tar.xz
BuildRequires:  bison
BuildRequires:  docbook-utils
BuildRequires:  flex
BuildRequires:  gcc
BuildRequires:  gcc-c++
BuildRequires:  libtool
BuildRequires:  pkgconfig
BuildRequires:  python
BuildRequires:  python-devel
BuildRequires:  swig
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Requires:       pcmciautils

%description
Comedilib is the library for the Comedi data acquisition driver
for Linux.  It allows Linux processes to acquire data from
supported DAQ cards, such as those from National Instruments

%package -n %libname
Summary:Data Acquisition library for the Comedi DAQ driver  
Group: System/Libraries

%description -n %libname
Comedilib is the library for the Comedi data acquisition driver
for Linux

%package -n %devname
Summary: Development files for %name
Group: Development/Libraries
Requires: %libname = %version
Provides: %name-devel = %version-%release

%description -n %devname
This package contains the files for developing applications which
will use Comedilib

%package doc
Group: Documentation
Summary: Documentation for/HTML

%description doc
Comedilib is a library for using Comedi, a driver interface for data
acquisition hardware

%package -n python-comedi
Summary: Python bindings for Comedilib
Group: Development/Python
Requires: %libname

%description -n python-comedi
Comedilib is the library for the Comedi data acquisition driver
for Linux.  It allows Linux processes to acquire data from
supported DAQ cards, such as those from National Instruments
This package add the python bindings for using comedi

%prep
%setup -n comedilib-%gitversion
sed -i -e 's/AM_CONFIG_HEADER/AC_CONFIG_HEADERS/' configure.ac

%build
./autogen.sh
CFLAGS="${CFLAGS:-%optflags}" ; export CFLAGS ; \
%configure2_5x \
  --prefix=%{_prefix} \
  --mandir=%{_mandir} \
  --datadir=%{_datadir} \
  --libdir=%{_libdir} \
  --sysconfdir=%{_sysconfdir} \
  --disable-dependency-tracking \
  --disable-ruby-binding

%make

%install
rm -rf %buildroot
%makeinstall

# Clean out files that should not be part of the rpm. 
# This is the recommended way of dealing with it for RH8
rm -f %{buildroot}%{_libdir}/*.a
rm -f %{buildroot}%{_libdir}/*.la
rm -f %{buildroot}%{_libdir}/python*/site-packages/_comedi.*a
chmod -x %{buildroot}%{_libdir}/python*/site-packages/comedi.py*


%files -n %libname
%defattr(-,root,root,-)
%doc AUTHORS COPYING README ChangeLog
%dir %{_sysconfdir}/pcmcia
%{_sysconfdir}/pcmcia/comedi
%config %{_sysconfdir}/pcmcia/comedi.conf
%config %{_sysconfdir}/pcmcia/comedi.opts
%{_libdir}/libcomedi.so.*
%{_sbindir}/comedi_*
%{_bindir}/comedi_*
%{_mandir}/man7/*
%{_mandir}/man8/*
%{_mandir}/man1/*

%files -n %devname
%defattr(-,root,root,-)
%{_libdir}/pkgconfig/comedilib.pc
%{_libdir}/libcomedi.so
%{_includedir}/comedi*

%files -n python-comedi
%defattr(-,root,root,-)
%{_libdir}/python*/site-packages/*.so
%{_libdir}/python*/site-packages/comedi.py*

%files doc
%defattr(-,root,root,-)
%doc %{_datadir}/doc/comedilib


%changelog
* Sat Aug 01 2015 bb <bb> 140410-1pclos2015
- import into pclos
